Package org.apache.ignite.internal.management.cache

## Class CacheStopTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,​R,​R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<CacheDestroyCommandArg,​Void>
    - - org.apache.ignite.internal.management.cache.CacheStopTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<CacheDestroyCommandArg>,​VisorTaskResult<Void>>`

    @GridInternal
    public class CacheStopTask
    extends VisorOneNodeTask<CacheDestroyCommandArg,​Void>

Task that stop specified caches on specified node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`CacheStopTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.management.cache.CacheStopTask.CacheStopJob` `job​(CacheDestroyCommandArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheStopTask

    public CacheStopTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.management.cache.CacheStopTask.CacheStopJob job​(CacheDestroyCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<CacheDestroyCommandArg,​Void,​Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.